Bug 1885346 - [RFE] Adding reporting for CVEs/Erratas fixed from cloud.redhat.com using cloud connector plug-in.
Summary: [RFE] Adding reporting for CVEs/Erratas fixed from cloud.redhat.com using clo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Hybrid Cloud Console (console.redhat.com)
Classification: Red Hat
Component: Vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Mohit Goyal
QA Contact: Jan Krocil
Matt Werner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 16:43 UTC by Amar Huchchanavar
Modified: 2021-09-21 18:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-21 18:09:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Amar Huchchanavar 2020-10-05 16:43:28 UTC
1. Proposed title of this feature request
[RFE] 'Host - Applied Errata' reporting template does not consider CVEs/Erratas fixed from cloud.redhat.com.

3. What is the nature and description of the request?
Satellite UI -> Monitor -> Report Templates -> Host - Applied Errata 
This report does not consider cloud connector data while generating the report.

Fix any CVE or Errata with the help of cloud connector plugin and try to generate 'Host - Applied Errata'  report. It does not include that data in the report.  (https://www.redhat.com/en/about/videos/setup-and-use-cloud-connector-integrate-insights-satellite)

Report Columns:
~~~
date	hostname	erratum_id	erratum_type	status	last_reboot_time
~~~

4. Why does the customer need this? (List the business requirements here)
This would help customers to generate the necessary reports for auditing or take necessary actions to fix the vulnerabilities in the environment.
       
5. How would the customer like to achieve this? (List the functional requirements here)
Host - Applied Errata  report template should consider the cloud connector data.

       
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No
       
8. Does the customer have any specific timeline dependencies and which release would  they  like  to  target  (i.e.  RHEL5,
       RHEL6)?
Satellite 6.8  GA or 6.8.1

11. Would the customer be able to assist in testing this functionality if implemented?
yes


Additional Info:
Bug 1884291 - [RFE] Include CVE information in 'Host - Applied Errata' reporting template.

Comment 2 Marek Hulan 2020-10-06 08:32:43 UTC
Are you talking about the use case where one creates a remediation plabyook in Vulnerability (cloud.redhat.com) and exectutes that through Satellite? In such case, Satellite does not really see into the executed playbook and can't easily tell, what erratas have been fixed. Perhaps cloud.redhat.com could send that information as some metadata, otherwise we'd need to be parsing the playbook.

Comment 8 Mohit Goyal 2020-10-26 14:12:42 UTC
Thanks Sean. Yes, I will take a closer look at this.

Amar, as Sean mentioned, we do have a use case in our backlog that may address this. Could you please schedule a call to further discuss so that I can understand this use case in more detail?


Note You need to log in before you can comment on or make changes to this bug.